(function ($, cookies) {

  'use strict';

  Drupal.behaviors.l10nQuickLinks = {
    attach: function () {
      let input = '';
      let $filter = $('.l10n-quick-links-search');
      if ($filter.length > 0) {
        $filter.on("input", function() {
          input = $(this).val().trim();
          if (input.length > 0) {
            $('.l10n-quick-links-container li').hide();
            $('.l10n-quick-links-container li:contains("'+input+'")').show();
          }
          else {
            $('.l10n-quick-links-container li').show();
          }
        });
      }

      let $widget = $('.l10n-quick-links-container');
      let $toolbarItem = $('.toolbar-icon-l10n-quick-links');

      // Add listener on translate button.
      if ($toolbarItem.length > 0 && $widget.length > 0) {
        $toolbarItem.on('click', function() {
          if ($widget.hasClass('open')) {
            toggleContainer($widget, true);
          }
          else {
            toggleContainer($widget, false);
          }
        });
      }
    }
  };

  function toggleContainer(widget, open) {
    if (open) {
      widget.removeClass('open').addClass('closed');
      cookies.remove("l10nQuickLinks");
    }
    else {
      widget.addClass('open').removeClass('closed');
      cookies.set("l10nQuickLinks", 1, {path: '/', expires: 10});
    }
  }

})(jQuery, window.Cookies);
